<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCrmNewsNewsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: crm_news_news
         */
        Schema::create('crm_news_news', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('slug', 60)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->text('details')->nullable();
            $table->text('image')->nullable();
            $table->date('posted_on')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('crm_news_news');
    }
}
